#include <stdio.h>
#include <string.h>
#include "defines.h"

int read1line0(FILE *fp,unchar line[],unchar token[],int max)
/* コメント／空行対応テキスト１行読みだし */
/* １行はmaxバイト以下のこと*/
{
	do {
		if (fgets(line,max,fp)==NULL) return(1);
		line[strlen(line)-1]=0; /* 改行コードを消す */
		if (GetToken(line,1,token," \t")==0) continue; /* 空行＝コメント */
	} while (token[0]==';');
	return(0);
}
